今日头条 · 内容详情

文章详情

传入文章 ID 或链接,返回每篇文章的全文、图片、阅读、点赞、评论和分享数、发布时间和作者。

POST/v1/toutiao/article

$0.00368每条

1,000 条
≈ $3.68
每取一条最低
$0.001732

可用试用额度一次返回,没有 cursor

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/toutiao/article" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"posts":["7700872920532320803"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "article",
      "articleId": "7700872920532320803",
      "url": "https://www.toutiao.com/article/77008…",
      "title": "高盛预测中国楼市:别被天量库存骗了,2…",
      "text": "前几天,高盛一份地产研报,在圈内炸了…",
      "textAvailable": true,
      "images": [
        "https://p3-sign.toutiaoimg.com/large/…",
        "https://p3-sign.toutiaoimg.com/large/…",
        "https://p3-sign.toutiaoimg.com/large/…"
      ],
      "imageCount": 27,
      "publishedAt": "2026-10-26T14:58:00Z",
      "publishLocation": "<masked>",
      "isOriginal": false,
      "readCount": 4909,
      "likeCount": 59,
      "commentCount": 37,
      "shareCount": 37,
      "collectCount": 41,
      "impressionCount": 114982,
      "authorId": "<masked>",
      "authorName": "<masked>",
      "authorAvatar": "<masked>",
      "authorDescription": null,
      "authorVerified": "<masked>",
      "authorVerifiedInfo": "<masked>",
      "authorMediaId": "<masked>",
      "authorFollowerCount": null
    }
  ],
  "cursor": null,
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.003680",
    "balance_usd": "9.875000",
    "items": 1
  }
}

字段 25

字段类型示例值
typestringarticle
articleIdstring7700872920532320803
urlstringhttps://www.toutiao.com/article/7700872920532320803/
titlestring高盛预测中国楼市:别被天量库存骗了,2028年新房可能都不够卖?
textstring前几天,高盛一份地产研报,在圈内炸了。 既不唱衰崩盘,也不画上涨大饼,它只干了一件实在事:下沉到城市,实打实清点存量房源…
textAvailablebooleantrue
imagesarray["https://p3-sign.toutiaoimg.com/large/tos-cn-i-6w9my0ksvp/4…
imageCountnumber27
publishedAtstring2026-10-26T14:58:00Z
publishLocationstring<masked>
isOriginalbooleanfalse
readCountnumber4909
likeCountnumber59
commentCountnumber37
shareCountnumber37
collectCountnumber41
impressionCountnumber114982
authorIdstring<masked>
authorNamestring<masked>
authorAvatarstring<masked>
authorDescriptionnullnull
authorVerifiedstring<masked>
authorVerifiedInfostring<masked>
authorMediaIdstring<masked>
authorFollowerCountnullnull

参数 2

参数名类型必填说明示例
limitinteger否返回的记录条数,1 到 100。单次请求返回的条数不会超过这个数。5
postsarray是今日头条文章或视频 ID,或链接:https://www.toutiao.com/article/<id>/、/group/<id>/、/video/<id>/,或含 ID 的 m.toutiao.com 链接。今日头条没有关键词搜索,所以每次请求都从 ID 或链接开始。不含 ID 的分享短链(m.toutiao.com/is/...)无法读取,请先在浏览器中打开并复制地址栏里的链接。["7700872920532320803"]

翻页

这个接口一次请求就返回全部:要更多条就把 limit 调大(最多 100)。cursor 一直是 null。

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口每条单独取,每取一条的最低收费是 $0.001732。

  • 1 条:最多 $0.00368
  • 20 条:最多 $0.0736
  • 100 条:最多 $0.368

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「文章详情」要传哪些参数?

必填:posts。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 1 条,要 100 条时一次请求取 100 页。

能接着往后取吗?

不能。这个接口一次请求就把结果全部返回,回答里的 cursor 是 null。

怎么收费?

每条 记录 $0.00368。每页最低收费 $0.001732:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.368。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。